Subject: Re: bug#29537: Core updates broken

From: Gábor Boskovits <[email-masked]>
Date: Sun, 3 Dec 2017 20:04:27 +0100

I'd go the GUIX_GLIBC_VERSION way.

That one seems the clearest, at least to me...

2017-12-03 19:43 GMT+01:00 Marius Bakke <[email-masked]>:

> Ricardo Wurmus <[email-masked]> writes:
>
> > Marius Bakke <[email-masked]> writes:
> >
> >> Gábor Boskovits <[email-masked]> writes:
> >>
> >>> It seems, that we have a breakage in current core-updates. m4,
> gettext, and
> >>> at least a few other packages fail to build.
> >>
> >> Hello!
> >>
> >> The problem is that the glibc version string is used a couple of places
> >> to determine where locales are found.
> >>
> >> The attached patch fixes it, though I'm not sure if it's the best
> >> approach.  Thoughts?
> >
> > Thank you.
> >
> > I find it a little ugly to replace the exact version string with only
> > the major+minor version substring.  Why can’t we use the full version
> > string?
>
> I think it's because "glibc-versioned-locpath.patch" uses the libc
> VERSION constant.
>
> Perhaps we could substitute glibcs "version.h", but that might break
> other things.  Or introduce a different variable, say
> GUIX_GLIBC_VERSION, and use that.  WDYT?
>